IMcDisplayEditPasteAoiRectangle Property
|
|
A LONGRECT giving the portion of the ImageToDisplay that could be
changed by a pasted image.
Namespace:
MediaCy.IQL.Display.Viewer
Assembly:
MediaCy.IQL.Display.Viewer (in MediaCy.IQL.Display.Viewer.dll) Version: 10.0.6912.0
SyntaxReadOnly Property EditPasteAoiRectangle (
<OptionalAttribute> AlignLeftTop As Object,
<OptionalAttribute> ImageToPaste As Object
) As Object
Get
Parameters
- AlignLeftTop (Optional)
- Type: SystemObject
If given, the alignment to use for computing the
blending rectangle. If the AlignLeftTop argument is not given, then it is
set so that the left,top of the clipboard image AOI bounds is aligned with
the left,top of the ImageToDisplay AOI bounds. - ImageToPaste (Optional)
- Type: SystemObject
If given, the blending image to use for computing
the blending rectangle. If not given, then any image
on the clipboard is used as it would be for the EditPasteNew or EditPasteAoi
methods.
Property Value
Type:
Object
RemarksThe portion of the ImageToDisplay property that would be covered by the
ImageToPaste argument (the clipboard image by default) during an EditPasteAoi
operation is determined by the sizes of the two images, by the AlignLeftTop
blending alignment argument (by default aligning the image AOI's) and by the
BlendingStyle property mvbsMaskBySourceAoi and mvbsMaskByDestAoi flags. The
rectangle is returned as a LONGRECT struct (left,top,right,bottom As long) in
ImageToDisplay coordinates.
This rectangle is clipped to the ImageToDisplay bounds but may extent beyond the
displayed portion of the image: its purpose is to see what portion of the
ImageToDisplay would be affected if an McGeometry.Blend operation were performed
to paste the ImageToPaste argument into the ImageToDisplay.
The rectangle can be "empty" if the blend alignment is far enough off or if
masking by the AOI(s) is enabled and their intersection is empty. In this case,
the returned LONGRECT "left" field will be larger than the "right" value (see
Example).
ExamplesDim lrectPaste As LONGRECT
lrectPaste = ThisApplication.ActiveWindow.View.Display.EditPasteAoiRectangle
If lrectPaste.left > lrectPaste.right Then
MsgBox "The paste rectangle is empty."
Else
ThisApplication.ActiveWindow.View.ImageToDisplay.UndoStack.Push _
ThisApplication.ActiveWindow.View.ImageToDisplay, mciuofSaveActiveFrameRange _
lrectPaste,,"Pasting"
EndIf
See Also